> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/integrations/darwinbox.md).

# Darwinbox

## POST /api/AuthorizeApp

> Authorize app

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"Darwinbox"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.AuthorizeAppRequest":{"required":["appName","secretKey"],"type":"object","properties":{"appName":{"minLength":1,"type":"string"},"secretKey":{"minLength":1,"type":"string"}},"additionalProperties":false}}},"paths":{"/api/AuthorizeApp":{"post":{"tags":["Darwinbox"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.AuthorizeAppRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Authorize app","operationId":"post__api_AuthorizeApp"}}}}
```

## POST /api/DigitalSignatureDarwinbox

> Digital signature (Darwinbox)

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"Darwinbox"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.DarwinboxSignatureRequest":{"type":"object","properties":{"action":{"type":"string","nullable":true},"digital_signature_provider":{"type":"string","nullable":true},"digital_signature_provider_id":{"type":"string","nullable":true},"signature_mode":{"type":"string","nullable":true},"signature_flow":{"type":"string","nullable":true},"documents":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DarwinboxDocument"},"recipients":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DarwinboxRecipients"},"text_tags":{"nullable":true},"custom_fields":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DarwinboxCustomFields"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.DarwinboxDocument":{"type":"object","properties":{"documentBase64":{"type":"string","nullable":true},"documentId":{"type":"string","nullable":true},"fileExtension":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.DarwinboxRecipients":{"type":"object","properties":{"signers":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DarwinboxSigner"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.DarwinboxSigner":{"type":"object","properties":{"signing_order":{"type":"integer","format":"int32"},"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"recipientId":{"type":"string","nullable":true},"signature_coordinate":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DarwinboxCoordinate"},"emailNotification":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DarwinboxEmailNotification"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.DarwinboxCoordinate":{"type":"object","properties":{"x":{"type":"integer","format":"int32"},"y":{"type":"integer","format":"int32"},"page_number":{"type":"string","nullable":true},"page":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.DarwinboxEmailNotification":{"type":"object","properties":{"emailSubject":{"type":"string","nullable":true},"emailBody":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.DarwinboxCustomFields":{"type":"object","properties":{"page":{"type":"string","nullable":true},"verifyDemographicData":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/DigitalSignatureDarwinbox":{"post":{"tags":["Darwinbox"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DarwinboxSignatureRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Digital signature (Darwinbox)","operationId":"post__api_DigitalSignatureDarwinbox"}}}}
```

## POST /api/GetSigningURLDarwinbox

> Signing URL (Darwinbox)

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"Darwinbox"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.DarwinboxGetSigningUrlRequest":{"type":"object","properties":{"documentId":{"type":"string","nullable":true},"action":{"type":"string","nullable":true},"digital_signature_provider":{"type":"string","nullable":true},"digital_signature_provider_id":{"type":"string","nullable":true},"redirection_url":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/GetSigningURLDarwinbox":{"post":{"tags":["Darwinbox"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DarwinboxGetSigningUrlRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Signing URL (Darwinbox)","operationId":"post__api_GetSigningURLDarwinbox"}}}}
```

## DELETE /api/CancelSignatureDarwinbox

> Cancel signature (Darwinbox)

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"Darwinbox"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/CancelSignatureDarwinbox":{"delete":{"tags":["Darwinbox"],"parameters":[{"name":"doc_id","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"summary":"Cancel signature (Darwinbox)","operationId":"delete__api_CancelSignatureDarwinbox"}}}}
```

## POST /api/AddAPIKeyDarwinBox

> Add API key (Darwinbox)

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"Darwinbox"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.DarwinboxAddApiKeyRequest":{"type":"object","properties":{"apI_Key":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/AddAPIKeyDarwinBox":{"post":{"tags":["Darwinbox"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DarwinboxAddApiKeyRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Add API key (Darwinbox)","operationId":"post__api_AddAPIKeyDarwinBox"}}}}
```
